# Introduction

{% hint style="success" %}
This document will help you through MPush API integration.
{% endhint %}

### Getting Started

MPush follows a **Publish/Subscribe** model based on topics to determine which devices receive a notification.

Devices can subscribe to one or more topics. Your backend can then send push notifications to specific topics, and only devices subscribed to at least one of the targeted topics will receive the message.

The MPush API is built on REST principles and uses JSON for both requests and responses. Errors are communicated using standard HTTP status codes and include detailed information in the JSON response body.

To simplify mobile integration, open-source SDKs are available for both [iOS](https://github.com/Mumble-SRL/MPush-iOS) and [Android](https://github.com/Mumble-SRL/MPush-Android). Refer to the iOS and Android documentation for implementation details.

Before getting started, make sure you have an API authentication token. It is required for every API call, as described in [Authentication](/api/authentication.md). To request a token, please send an email [here](mailto:developers@shoppy.is?subject=MPush%20Auth%20Token).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mpush.cloud/api/introduction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
